/*
 * Copyright (C) 2001, 2002, 2003 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of
 * the License at http://www.redhat.com/licenses/ccmpl.html
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 */

package com.arsdigita.portalserver.admin;

import com.arsdigita.web.Application;
import com.arsdigita.portalserver.*;
import com.arsdigita.persistence.*;
import org.apache.log4j.Logger;

/**
 * PSAdmin
 * -
 * This class is a mountable application for general Portalserver
 * Administration tasks. It is initialized as /portal-admin,
 * and its UI component is com.arsdigita.portalserver.admin.ui.AdminPage.java
 *
 * @author <a href="mailto:rhs@mit.edu">rhs@mit.edu</a>
 * @version $Revision: #3 $ $Date: 2003/08/15 $
 */
public class PSAdmin extends Application {
    public static final String versionId =
        "$Id: //portalserver/dev/src/com/arsdigita/portalserver/admin/PSAdmin.java#3 $" +
        "$Author: dennis $" +
        "$DateTime: 2003/08/15 13:46:34 $";

    private static final Logger s_log = Logger.getLogger(PSAdmin.class);

    public static final String BASE_DATA_OBJECT_TYPE =
        "com.arsdigita.admin.CWAdmin";

    protected String getBaseDataObjectType() {
        return BASE_DATA_OBJECT_TYPE;
    }

    public PSAdmin(DataObject dataObject) {
        super(dataObject);
    }
}
